using Microsoft.AspNetCore.Mvc;

[ApiController]
[Route("[controller]")]
public class CalculatorController : ControllerBase
{
    public CalculatorController()
    {
    }

    /// <summary>
    /// Calculator Controller GET request
    /// </summary>
    /// <response code="200">return just a Hello World</response>
    /// <response code="400">Product Not found</response>
    /// <response code="500">Oops! Can't Found your product right now due to internal error</response>
    /// <remarks>Remarks here</remarks>
    [HttpGet()]
    public string GetBasic()
    {
        return "Hello, this is the Calculator Controller!";
    }

    /// <summary>
    /// Sample Swagger ID query
    /// </summary>
    /// <param name="id">Valami id</param>
     [HttpGet("{id}")]
        public string GetValami(int id)
        {
            return ""+id;
        }

    /// <summary>
    /// Add two numbers
    /// </summary>
    /// <param name="num1">The first number</param>
    /// <param name="num2">The second number</param>
     [HttpPost("Add")]
        public string Add(int num1, int num2)
        {
            return "" + (num1+num2);
        }

    /// <summary>
    /// Subdivide two numbers
    /// </summary>
    /// <param name="num1">The first number</param>
    /// <param name="num2">The second number</param>
     [HttpPost("Sub")]
        public string Sub(int num1, int num2)
        {
            return "" + (num1-num2);
        }

}